summaryrefslogtreecommitdiff
path: root/lirc/files/lircmd.init
diff options
context:
space:
mode:
authorChris Larson <clarson@kergoth.com>2004-11-09 00:36:47 +0000
committerChris Larson <clarson@kergoth.com>2004-11-09 00:36:47 +0000
commitf96441b9faf769c9ecdd4d338b605ea3d0cc4010 (patch)
treeedb17ec2c4ea13c5acb1c7350957a249a820e28d /lirc/files/lircmd.init
parentb6588aa6851fb220cedc387d21c51513ef8d67f4 (diff)
Disable bk EOLN_NATIVE conversions on all files in packages FILESPATHs, to prevent it screwing up patches.
BKrev: 4190111fA4MuVozAqwE7xOSL9fr-TA
Diffstat (limited to 'lirc/files/lircmd.init')
-rw-r--r--lirc/files/lircmd.init38
1 files changed, 38 insertions, 0 deletions
diff --git a/lirc/files/lircmd.init b/lirc/files/lircmd.init
index e69de29bb2..16296f41d9 100644
--- a/lirc/files/lircmd.init
+++ b/lirc/files/lircmd.init
@@ -0,0 +1,38 @@
+#! /bin/sh
+#
+# This is an init script for Familiar
+# Copy it to /etc/init.d/lirc and type
+# > update-rc.d lirc defaults 20
+#
+
+
+test -f /usr/bin/lircmd || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting lirc daemon: lircmd"
+ start-stop-daemon --start --quiet --exec /usr/bin/lircmd
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping lirc daemon: lircmd"
+ start-stop-daemon --stop --quiet --exec /usr/bin/lircmd
+ echo "."
+ ;;
+ reload|force-reload)
+ start-stop-daemon --stop --quiet --signal 1 --exec /usr/bin/lircmd
+ ;;
+ restart)
+ echo -n "Stopping lirc daemon: lircmd"
+ start-stop-daemon --stop --quiet --exec /usr/bin/lircmd
+ sleep 1
+ echo -n "Starting lirc daemon: lircmd"
+ start-stop-daemon --start --quiet --exec /usr/bin/lircmd
+ echo "."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/lircmd {start|stop|reload|restart|force-reload}"
+ exit 1
+esac
+
+exit 0